#!/bin/sh
    if [ "$#" -eq 1 ];
	then
     cd u-boot-2009.08
     case "$1" in
     "install")
        { 
	echo "install patch:"
         for patch_file in `ls ../u-boot-2009.08_*.patch`
            do
             patch -p1 < ${patch_file}

             if [ $? -eq 0 ]; 
             then
             echo "********************************************"
             echo "Patching file is successful !   ${patch_file}"
             echo "********************************************"
             else 
             echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
             echo "Some problem occur in using ${patch_file} !!!"
             echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
             fi
         
           done

        if [ $? -eq 0 ];
        then
           echo
           echo "Patching all file is finish!"
        else
           echo
           echo "Some problem occur in running thie script!!!!!"
           exit 1
        fi 
        } ;;

    "uninstall")
        {
	echo "uninstall patch:"
         for patch_file in `ls ../u-boot-2009.08_*.patch`
            do
             patch -REp1 < ${patch_file}

             if [ $? -eq 0 ];
             then
             echo "********************************************"
             echo "Deleting patch is successful !  ${patch_file}"
             echo "********************************************"
             else 
             echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
             echo "Some problem occur in using ${patch_file} !!!"
             echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
             fi
         
           done

        if [ $? -eq 0 ];
        then
            echo
            echo "Deleting all patch is finish!"
        else
            echo
            echo "Some problem occur in running thie script!!!!!"
            exit 1
        fi
        } ;;

    *          )    
        {
        echo "Usage:"
		echo "$0 [install/uninstall]"
	    exit 1
        } ;;
    esac        
        else

        echo "Usage:"
		echo "$0 [install/uninstall]"
	    exit 1

        fi


